https://api.knoxapi.comList all balance transactions
GET/v1/balance_transactions
Returns a list of transactions that have contributed to the Stripe account balance (for example, charges, transfers, and so on). The transactions return in sorted order, with the most recent transactions appearing first. The previous name of this endpoint was “Balance history,” and it used the path /v1/balance/history.
Query parameters
createdobject | integerOnly return transactions that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
currencystringOnly return transactions in a certain currency. Three-letter ISO currency code, in lowercase. Must be a supported currency.
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
payoutstringFor automatic Stripe payouts only, only returns transactions that were paid out on the specified payout ID.
sourcestringOnly returns transactions associated with the given object.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.typestringOnly returns transactions of the given type. One of:
tax_fund,adjustment,advance,advance_funding,anticipation_repayment,application_fee,application_fee_refund,charge,climate_order_purchase,climate_order_refund,connect_collection_transfer,contribution,inbound_transfer,inbound_transfer_reversal,issuing_authorization_hold,issuing_authorization_release,issuing_dispute,issuing_transaction,obligation_outbound,obligation_reversal_inbound,payment,payment_failure_refund,payment_network_reserve_hold,payment_network_reserve_release,payment_refund,payment_reversal,payment_unreconciled,payout,payout_cancel,payout_failure,payout_minimum_balance_hold,payout_minimum_balance_release,refund,refund_failure,reserve_transaction,reserved_funds,reserve_hold,reserve_release,stripe_fee,stripe_fx_fee,stripe_balance_payment_debit,stripe_balance_payment_debit_reversal,tax_fee,topup,topup_reversal,transfer,transfer_cancel,transfer_failure,transfer_refund, orfee_credit_funding.
Returns
A list of balance_transaction objects.
curl -G https://api.knoxapi.com/v1/balance_transactions \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const page = await stripe.balanceTransactions.list({
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
page = client.v1.balance_transactions.list(params={
"limit": 3,
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
page = Stripe::BalanceTransaction.list({
limit: 3,
}){
"object": "list",
"url": "/v1/balance_transactions",
"has_more": false,
"data": [
{
"amount": 100,
"available_on": 1234567890,
"created": 1234567890,
"currency": "usd",
"description": "My First Test Charge (created for API docs)",
"exchange_rate": null,
"fee": 0,
"fee_details": [],
"id": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"net": 100,
"object": "balance_transaction",
"reporting_category": "charge",
"source": "ch_1PgafuB7WZ01zgkWXYmPNZs8",
"status": "available",
"type": "charge",
"balance_type": "payments"
}
]
}Retrieve a balance transaction
GET/v1/balance_transactions/{id}
Retrieves the balance transaction with the given ID. Note that this endpoint previously used the path /v1/balance/history/:id.
Path parameters
idstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The balance_transaction object.
curl https://api.knoxapi.com/v1/balance_transactions/txn_1PgaxNB7WZ01zgkWEV3TLf40 \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const balanceTransaction = await stripe.balanceTransactions.retrieve('txn_1PgaxNB7WZ01zgkWEV3TLf40');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
balance_transaction = client.v1.balance_transactions.retrieve("txn_1PgaxNB7WZ01zgkWEV3TLf40")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
balance_transaction = Stripe::BalanceTransaction.retrieve('txn_1PgaxNB7WZ01zgkWEV3TLf40'){
"amount": 100,
"available_on": 1234567890,
"created": 1234567890,
"currency": "usd",
"description": "My First Test Charge (created for API docs)",
"exchange_rate": null,
"fee": 0,
"fee_details": [],
"id": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"net": 100,
"object": "balance_transaction",
"reporting_category": "charge",
"source": "ch_1PgafuB7WZ01zgkWXYmPNZs8",
"status": "available",
"type": "charge",
"balance_type": "payments"
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.